import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { FlightClass } from '../interfaces/flight-class.interface';
import { headers } from 'src/app/shared/utils/header.util';

@Injectable({providedIn: 'root'})
export class TicketClassService {
  constructor(private http: HttpClient) { }

  private BASE_URL: string = 'http://localhost:8085/api/v1/travel-classes';

  getAll(): Observable<FlightClass[]> {
    return this.http.get<FlightClass[]>(this.BASE_URL, { headers });
  }
}
