import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Agent, AgentExtended, AgentSave } from '../interfaces/agent.interface';
import { headers } from 'src/app/shared/utils/header.util';

@Injectable({providedIn: 'root'})
export class AgentsService {
  constructor(private http: HttpClient) { }

  private BASE_URL: string = 'http://localhost:8085/api/v1/agents';

  getAll(): Observable<Agent[]> {
    console.log(headers)
    return this.http.get<Agent[]>(this.BASE_URL, { headers });
  }

  getById(id: number): Observable<AgentExtended> {
    return this.http.get<AgentExtended>(`${this.BASE_URL}/${id}`, { headers });
  }

  edit(id: number, agent: AgentSave): Observable<AgentExtended> {
    return this.http.put<AgentExtended>(`${this.BASE_URL}/${id}`, agent, { headers});
  }

  delete(id: number): Observable<AgentExtended> {
    return this.http.delete<AgentExtended>(`${this.BASE_URL}/${id}`, { headers });
  }
}
