import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Airline } from '../interfaces/airline.interface';
import { headers } from 'src/app/shared/utils/header.util';

@Injectable({providedIn: 'root'})
export class AirlineService {
  constructor(private http: HttpClient) { }

  BASE_URL = 'http://localhost:8085/api/v1/airlines';

  getAll(): Observable<Airline[]> {
    return this.http.get<Airline[]>(this.BASE_URL, { headers });
  }
}
